curl --request POST \
--url https://api.opal.dev/v1/resources \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"remote_resource_id": "API_ACCESS_MANAGEMENT_ADMIN-51d203da-313a-4fd9-8fcf-420ce6312345",
"name": "Okta Engineering Super Admin",
"description": "Okta super admin role.",
"resource_type": "OKTA_ROLE",
"metadata": "{\n \"okta_directory_role\":\n {\n \"role_id\": \"SUPER_ADMIN-b52aa037-4a35-4ac3-9350-f6260fd12345\",\n \"role_type\": \"SUPER_ADMIN\",\n },\n}",
"app_id": "f454d283-ca87-4a8a-bdbb-df212eca5353"
}
'import requests
url = "https://api.opal.dev/v1/resources"
payload = {
"remote_resource_id": "API_ACCESS_MANAGEMENT_ADMIN-51d203da-313a-4fd9-8fcf-420ce6312345",
"name": "Okta Engineering Super Admin",
"description": "Okta super admin role.",
"resource_type": "OKTA_ROLE",
"metadata": "{
\"okta_directory_role\":
{
\"role_id\": \"SUPER_ADMIN-b52aa037-4a35-4ac3-9350-f6260fd12345\",
\"role_type\": \"SUPER_ADMIN\",
},
}",
"app_id": "f454d283-ca87-4a8a-bdbb-df212eca5353"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
remote_resource_id: 'API_ACCESS_MANAGEMENT_ADMIN-51d203da-313a-4fd9-8fcf-420ce6312345',
name: 'Okta Engineering Super Admin',
description: 'Okta super admin role.',
resource_type: 'OKTA_ROLE',
metadata: '{\n "okta_directory_role":\n {\n "role_id": "SUPER_ADMIN-b52aa037-4a35-4ac3-9350-f6260fd12345",\n "role_type": "SUPER_ADMIN",\n },\n}',
app_id: 'f454d283-ca87-4a8a-bdbb-df212eca5353'
})
};
fetch('https://api.opal.dev/v1/resources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.opal.dev/v1/resources",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'remote_resource_id' => 'API_ACCESS_MANAGEMENT_ADMIN-51d203da-313a-4fd9-8fcf-420ce6312345',
'name' => 'Okta Engineering Super Admin',
'description' => 'Okta super admin role.',
'resource_type' => 'OKTA_ROLE',
'metadata' => '{
"okta_directory_role":
{
"role_id": "SUPER_ADMIN-b52aa037-4a35-4ac3-9350-f6260fd12345",
"role_type": "SUPER_ADMIN",
},
}',
'app_id' => 'f454d283-ca87-4a8a-bdbb-df212eca5353'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.opal.dev/v1/resources"
payload := strings.NewReader("{\n \"remote_resource_id\": \"API_ACCESS_MANAGEMENT_ADMIN-51d203da-313a-4fd9-8fcf-420ce6312345\",\n \"name\": \"Okta Engineering Super Admin\",\n \"description\": \"Okta super admin role.\",\n \"resource_type\": \"OKTA_ROLE\",\n \"metadata\": \"{\\n \\\"okta_directory_role\\\":\\n {\\n \\\"role_id\\\": \\\"SUPER_ADMIN-b52aa037-4a35-4ac3-9350-f6260fd12345\\\",\\n \\\"role_type\\\": \\\"SUPER_ADMIN\\\",\\n },\\n}\",\n \"app_id\": \"f454d283-ca87-4a8a-bdbb-df212eca5353\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.opal.dev/v1/resources")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"remote_resource_id\": \"API_ACCESS_MANAGEMENT_ADMIN-51d203da-313a-4fd9-8fcf-420ce6312345\",\n \"name\": \"Okta Engineering Super Admin\",\n \"description\": \"Okta super admin role.\",\n \"resource_type\": \"OKTA_ROLE\",\n \"metadata\": \"{\\n \\\"okta_directory_role\\\":\\n {\\n \\\"role_id\\\": \\\"SUPER_ADMIN-b52aa037-4a35-4ac3-9350-f6260fd12345\\\",\\n \\\"role_type\\\": \\\"SUPER_ADMIN\\\",\\n },\\n}\",\n \"app_id\": \"f454d283-ca87-4a8a-bdbb-df212eca5353\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.opal.dev/v1/resources")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"remote_resource_id\": \"API_ACCESS_MANAGEMENT_ADMIN-51d203da-313a-4fd9-8fcf-420ce6312345\",\n \"name\": \"Okta Engineering Super Admin\",\n \"description\": \"Okta super admin role.\",\n \"resource_type\": \"OKTA_ROLE\",\n \"metadata\": \"{\\n \\\"okta_directory_role\\\":\\n {\\n \\\"role_id\\\": \\\"SUPER_ADMIN-b52aa037-4a35-4ac3-9350-f6260fd12345\\\",\\n \\\"role_type\\\": \\\"SUPER_ADMIN\\\",\\n },\\n}\",\n \"app_id\": \"f454d283-ca87-4a8a-bdbb-df212eca5353\"\n}"
response = http.request(request)
puts response.read_body{
"resource_id": "f454d283-ca87-4a8a-bdbb-df212eca5353",
"app_id": "b5a5ca27-0ea3-4d86-9199-2126d57d1fbd",
"description": "This resource represents AWS IAM role \"SupportUser\".",
"admin_owner_id": "7c86c85d-0651-43e2-a748-d69d658418e8",
"remote_id": 318038399,
"remote_name": "repo-name",
"max_duration": 120,
"require_manager_approval": false,
"require_support_ticket": false,
"parent_resource_id": "f454d283-ca67-4a8a-bdbb-df212eca5345",
"ancestor_resource_ids": [
"f454d283-ca67-4a8a-bdbb-df212eca5345"
],
"descendant_resource_ids": [
"f454d283-ca67-4a8a-bdbb-df212eca5345"
]
}Post resources
Creates a resource. See here for details about importing resources.
curl --request POST \
--url https://api.opal.dev/v1/resources \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"remote_resource_id": "API_ACCESS_MANAGEMENT_ADMIN-51d203da-313a-4fd9-8fcf-420ce6312345",
"name": "Okta Engineering Super Admin",
"description": "Okta super admin role.",
"resource_type": "OKTA_ROLE",
"metadata": "{\n \"okta_directory_role\":\n {\n \"role_id\": \"SUPER_ADMIN-b52aa037-4a35-4ac3-9350-f6260fd12345\",\n \"role_type\": \"SUPER_ADMIN\",\n },\n}",
"app_id": "f454d283-ca87-4a8a-bdbb-df212eca5353"
}
'import requests
url = "https://api.opal.dev/v1/resources"
payload = {
"remote_resource_id": "API_ACCESS_MANAGEMENT_ADMIN-51d203da-313a-4fd9-8fcf-420ce6312345",
"name": "Okta Engineering Super Admin",
"description": "Okta super admin role.",
"resource_type": "OKTA_ROLE",
"metadata": "{
\"okta_directory_role\":
{
\"role_id\": \"SUPER_ADMIN-b52aa037-4a35-4ac3-9350-f6260fd12345\",
\"role_type\": \"SUPER_ADMIN\",
},
}",
"app_id": "f454d283-ca87-4a8a-bdbb-df212eca5353"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
remote_resource_id: 'API_ACCESS_MANAGEMENT_ADMIN-51d203da-313a-4fd9-8fcf-420ce6312345',
name: 'Okta Engineering Super Admin',
description: 'Okta super admin role.',
resource_type: 'OKTA_ROLE',
metadata: '{\n "okta_directory_role":\n {\n "role_id": "SUPER_ADMIN-b52aa037-4a35-4ac3-9350-f6260fd12345",\n "role_type": "SUPER_ADMIN",\n },\n}',
app_id: 'f454d283-ca87-4a8a-bdbb-df212eca5353'
})
};
fetch('https://api.opal.dev/v1/resources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.opal.dev/v1/resources",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'remote_resource_id' => 'API_ACCESS_MANAGEMENT_ADMIN-51d203da-313a-4fd9-8fcf-420ce6312345',
'name' => 'Okta Engineering Super Admin',
'description' => 'Okta super admin role.',
'resource_type' => 'OKTA_ROLE',
'metadata' => '{
"okta_directory_role":
{
"role_id": "SUPER_ADMIN-b52aa037-4a35-4ac3-9350-f6260fd12345",
"role_type": "SUPER_ADMIN",
},
}',
'app_id' => 'f454d283-ca87-4a8a-bdbb-df212eca5353'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.opal.dev/v1/resources"
payload := strings.NewReader("{\n \"remote_resource_id\": \"API_ACCESS_MANAGEMENT_ADMIN-51d203da-313a-4fd9-8fcf-420ce6312345\",\n \"name\": \"Okta Engineering Super Admin\",\n \"description\": \"Okta super admin role.\",\n \"resource_type\": \"OKTA_ROLE\",\n \"metadata\": \"{\\n \\\"okta_directory_role\\\":\\n {\\n \\\"role_id\\\": \\\"SUPER_ADMIN-b52aa037-4a35-4ac3-9350-f6260fd12345\\\",\\n \\\"role_type\\\": \\\"SUPER_ADMIN\\\",\\n },\\n}\",\n \"app_id\": \"f454d283-ca87-4a8a-bdbb-df212eca5353\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.opal.dev/v1/resources")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"remote_resource_id\": \"API_ACCESS_MANAGEMENT_ADMIN-51d203da-313a-4fd9-8fcf-420ce6312345\",\n \"name\": \"Okta Engineering Super Admin\",\n \"description\": \"Okta super admin role.\",\n \"resource_type\": \"OKTA_ROLE\",\n \"metadata\": \"{\\n \\\"okta_directory_role\\\":\\n {\\n \\\"role_id\\\": \\\"SUPER_ADMIN-b52aa037-4a35-4ac3-9350-f6260fd12345\\\",\\n \\\"role_type\\\": \\\"SUPER_ADMIN\\\",\\n },\\n}\",\n \"app_id\": \"f454d283-ca87-4a8a-bdbb-df212eca5353\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.opal.dev/v1/resources")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"remote_resource_id\": \"API_ACCESS_MANAGEMENT_ADMIN-51d203da-313a-4fd9-8fcf-420ce6312345\",\n \"name\": \"Okta Engineering Super Admin\",\n \"description\": \"Okta super admin role.\",\n \"resource_type\": \"OKTA_ROLE\",\n \"metadata\": \"{\\n \\\"okta_directory_role\\\":\\n {\\n \\\"role_id\\\": \\\"SUPER_ADMIN-b52aa037-4a35-4ac3-9350-f6260fd12345\\\",\\n \\\"role_type\\\": \\\"SUPER_ADMIN\\\",\\n },\\n}\",\n \"app_id\": \"f454d283-ca87-4a8a-bdbb-df212eca5353\"\n}"
response = http.request(request)
puts response.read_body{
"resource_id": "f454d283-ca87-4a8a-bdbb-df212eca5353",
"app_id": "b5a5ca27-0ea3-4d86-9199-2126d57d1fbd",
"description": "This resource represents AWS IAM role \"SupportUser\".",
"admin_owner_id": "7c86c85d-0651-43e2-a748-d69d658418e8",
"remote_id": 318038399,
"remote_name": "repo-name",
"max_duration": 120,
"require_manager_approval": false,
"require_support_ticket": false,
"parent_resource_id": "f454d283-ca67-4a8a-bdbb-df212eca5345",
"ancestor_resource_ids": [
"f454d283-ca67-4a8a-bdbb-df212eca5345"
],
"descendant_resource_ids": [
"f454d283-ca67-4a8a-bdbb-df212eca5345"
]
}Authorizations
Body
CreateResourceInfo Object
Description
The CreateResourceInfo object is used to store creation info for a resource.
Usage Example
Use in the POST Resources endpoint.
The type of the resource.
AWS_IAM_ROLE, AWS_EC2_INSTANCE, AWS_EKS_CLUSTER, AWS_RDS_POSTGRES_CLUSTER, AWS_RDS_POSTGRES_INSTANCE, AWS_RDS_MYSQL_CLUSTER, AWS_RDS_MYSQL_INSTANCE, AWS_ACCOUNT, AWS_SSO_PERMISSION_SET, AWS_ORGANIZATIONAL_UNIT, AWS_AGENTCORE_GATEWAY, AWS_AGENTCORE_GATEWAY_TARGET, AWS_AGENTCORE_GATEWAY_TOOL, MCP_SERVER, MCP_TOOL, AZURE_MANAGEMENT_GROUP, AZURE_RESOURCE_GROUP, AZURE_SUBSCRIPTION, AZURE_VIRTUAL_MACHINE, AZURE_STORAGE_ACCOUNT, AZURE_STORAGE_CONTAINER, AZURE_SQL_SERVER, AZURE_SQL_MANAGED_INSTANCE, AZURE_SQL_DATABASE, AZURE_SQL_MANAGED_DATABASE, AZURE_USER_ASSIGNED_MANAGED_Identity, AZURE_ENTRA_ID_ROLE, AZURE_ENTERPRISE_APP, CUSTOM, CUSTOM_CONNECTOR, DATABRICKS_ACCOUNT_SERVICE_PRINCIPAL, GCP_ORGANIZATION, GCP_BUCKET, GCP_COMPUTE_INSTANCE, GCP_FOLDER, GCP_GKE_CLUSTER, GCP_PROJECT, GCP_CLOUD_SQL_POSTGRES_INSTANCE, GCP_CLOUD_SQL_MYSQL_INSTANCE, GCP_BIG_QUERY_DATASET, GCP_BIG_QUERY_TABLE, GCP_SERVICE_ACCOUNT, GCP_BILLING_ACCOUNT, GIT_HUB_REPO, GIT_HUB_ORG_ROLE, GIT_LAB_PROJECT, GOOGLE_WORKSPACE_ROLE, MONGO_INSTANCE, MONGO_ATLAS_INSTANCE, NETSUITE_ROLE, DATADOG_ROLE, OKTA_APP, OKTA_ROLE, OPAL_ROLE, OPAL_SCOPED_ROLE, PAGERDUTY_ROLE, TAILSCALE_SSH, SALESFORCE_PERMISSION_SET, SALESFORCE_PROFILE, SALESFORCE_ROLE, SNOWFLAKE_DATABASE, SNOWFLAKE_SCHEMA, SNOWFLAKE_TABLE, WORKDAY_ROLE, MYSQL_INSTANCE, MARIADB_INSTANCE, POSTGRES_INSTANCE, TELEPORT_ROLE, ILEVEL_ADVANCED_ROLE, DATASTAX_ASTRA_ROLE, COUPA_ROLE, CURSOR_ORGANIZATION, CURSOR_ORIGIN_REPOSITORY, OPENAI_PLATFORM_PROJECT, OPENAI_PLATFORM_SERVICE_ACCOUNT, ANTHROPIC_WORKSPACE, GIT_HUB_ORG, ORACLE_FUSION_ROLE, DEVIN_ORGANIZATION, DEVIN_ROLE, VAULT_SECRET, VAULT_POLICY, VAULT_OIDC_ROLE, GIT_HUB_ENTERPRISE_ROLE, GRAFANA_FOLDER, GRAFANA_DASHBOARD, GRAFANA_BASIC_ROLE, GRAFANA_ROLE, CLICKHOUSE_DATABASE, CLICKHOUSE_TABLE, CLICKHOUSE_CONSOLE_ROLE, TWINGATE_RESOURCE, ZENDESK_ROLE, HUBSPOT_ROLE, ALICLOUD_RAM_ROLE, ALICLOUD_ECS_INSTANCE, DOCUSIGN_PERMISSION_PROFILE, ZOOM_ROLE, ZOOM_LICENSE, LINEAR_ORGANIZATION, LINEAR_PROJECT, RAMP_FUND, RAMP_ROLE, WRIKE_USER_TYPE, DATABRICKS_CATALOG, DATABRICKS_SCHEMA, DATABRICKS_VOLUME, DATABRICKS_FUNCTION, DATABRICKS_MODEL, DATABRICKS_SERVICE, DATABRICKS_MCP_SERVER, VERCEL_ROLE, VERCEL_PROJECT, AXIOM_ROLE, AXIOM_CUSTOM_ROLE, RIPPLING_DEPARTMENT, BOX_ENTERPRISE, BOX_FOLDER, SLACK_WORKSPACE, SLACK_ORGANIZATION, ASANA_WORKSPACE, ASANA_WORKSPACE_GUEST, BITWARDEN_ORGANIZATION, CALENDLY_ROLE, CALENDLY_EVENT_TYPE, ONELOGIN_APP, TRAY_WORKSPACE, TRAY_ORGANIZATION "AWS_IAM_ROLE"
Deprecated - use remote_info instead. The ID of the resource on the remote system. Include only for items linked to remote systems. See this guide for details on how to specify this field.
"API_ACCESS_MANAGEMENT_ADMIN-51d203da-313a-4fd9-8fcf-420ce6312345"
Deprecated - use remote_info instead.
JSON metadata about the remote resource. Include only for items linked to remote systems. See this guide for details on how to specify this field. The required format is dependent on resource_type and should have the following schema:
code {max-height:300px !important}{
"$schema": "http://json-schema.org/draft-04/schema#",
"title": "Resource Metadata",
"properties": {
"aws_ec2_instance": {
"properties": {
"instance_id": {
"type": "string"
},
"region": {
"type": "string"
}
},
"required": ["instance_id", "region"],
"additionalProperties": false,
"type": "object",
"title": "AWS EC2 Instance"
},
"aws_eks_cluster": {
"properties": {
"cluster_name": {
"type": "string"
},
"cluster_region": {
"type": "string"
},
"cluster_arn": {
"type": "string"
}
},
"required": ["cluster_name", "cluster_region", "cluster_arn"],
"additionalProperties": false,
"type": "object",
"title": "AWS EKS Cluster"
},
"aws_rds_instance": {
"properties": {
"instance_id": {
"type": "string"
},
"engine": {
"type": "string"
},
"region": {
"type": "string"
},
"resource_id": {
"type": "string"
},
"database_name": {
"type": "string"
}
},
"required": [
"instance_id",
"engine",
"region",
"resource_id",
"database_name"
],
"additionalProperties": false,
"type": "object",
"title": "AWS RDS Instance"
},
"aws_role": {
"properties": {
"arn": {
"type": "string"
},
"name": {
"type": "string"
}
},
"required": ["arn", "name"],
"additionalProperties": false,
"type": "object",
"title": "AWS Role"
},
"gcp_bucket": {
"properties": {
"bucket_id": {
"type": "string"
}
},
"required": ["bucket_id"],
"additionalProperties": false,
"type": "object",
"title": "GCP Bucket"
},
"gcp_compute_instance": {
"properties": {
"instance_id": {
"type": "string"
},
"project_id": {
"type": "string"
},
"zone": {
"type": "string"
}
},
"required": ["instance_id", "project_id", "zone"],
"additionalProperties": false,
"type": "object",
"title": "GCP Compute Instance"
},
"gcp_folder": {
"properties": {
"folder_id": {
"type": "string"
}
},
"required": ["folder_id"],
"additionalProperties": false,
"type": "object",
"title": "GCP Folder"
},
"gcp_gke_cluster": {
"properties": {
"cluster_name": {
"type": "string"
}
},
"required": ["cluster_name"],
"additionalProperties": false,
"type": "object",
"title": "GCP GKE Cluster"
},
"gcp_project": {
"properties": {
"project_id": {
"type": "string"
}
},
"required": ["project_id"],
"additionalProperties": false,
"type": "object",
"title": "GCP Project"
},
"gcp_sql_instance": {
"properties": {
"instance_id": {
"type": "string"
},
"project_id": {
"type": "string"
}
},
"required": ["instance_id", "project_id"],
"additionalProperties": false,
"type": "object",
"title": "GCP SQL Instance"
},
"git_hub_repo": {
"properties": {
"org_name": {
"type": "string"
},
"repo_name": {
"type": "string"
}
},
"required": ["org_name", "repo_name"],
"additionalProperties": false,
"type": "object",
"title": "GitHub Repo"
},
"okta_directory_app": {
"properties": {
"app_id": {
"type": "string"
},
"logo_url": {
"type": "string"
}
},
"required": ["app_id", "logo_url"],
"additionalProperties": false,
"type": "object",
"title": "Okta Directory App"
},
"okta_directory_role": {
"properties": {
"role_type": {
"type": "string"
},
"role_id": {
"type": "string"
}
},
"required": ["role_type", "role_id"],
"additionalProperties": false,
"type": "object",
"title": "Okta Directory Role"
},
"salesforce_profile": {
"properties": {
"user_license": {
"type": "string"
}
},
"required": ["user_license"],
"additionalProperties": false,
"type": "object",
"title": "Salesforce Profile"
}
},
"additionalProperties": false,
"minProperties": 1,
"maxProperties": 1,
"type": "object"
}
"{\n \"okta_directory_role\":\n {\n \"role_id\": \"SUPER_ADMIN-b52aa037-4a35-4ac3-9350-f6260fd12345\",\n \"role_type\": \"SUPER_ADMIN\",\n },\n}"
A bool representing whether or not the resource's name should be synced from the end system. When true, the name is overwritten with the remote name on each sync, so a name provided together with this field set to true will be replaced at the next sync. Defaults to false.
false
A bool representing whether or not the resource's description should be synced from the end system. When true, the description is overwritten with the remote description on each sync, so a description provided together with this field set to true will be replaced at the next sync. Defaults to false.
false
Response
The resource just created.
Resource Object
Description
The Resource object is used to represent a resource.
Usage Example
Update from the UPDATE Resources endpoint.
The type of the resource.
AWS_IAM_ROLE, AWS_EC2_INSTANCE, AWS_EKS_CLUSTER, AWS_RDS_POSTGRES_CLUSTER, AWS_RDS_POSTGRES_INSTANCE, AWS_RDS_MYSQL_CLUSTER, AWS_RDS_MYSQL_INSTANCE, AWS_ACCOUNT, AWS_SSO_PERMISSION_SET, AWS_ORGANIZATIONAL_UNIT, AWS_AGENTCORE_GATEWAY, AWS_AGENTCORE_GATEWAY_TARGET, AWS_AGENTCORE_GATEWAY_TOOL, MCP_SERVER, MCP_TOOL, AZURE_MANAGEMENT_GROUP, AZURE_RESOURCE_GROUP, AZURE_SUBSCRIPTION, AZURE_VIRTUAL_MACHINE, AZURE_STORAGE_ACCOUNT, AZURE_STORAGE_CONTAINER, AZURE_SQL_SERVER, AZURE_SQL_MANAGED_INSTANCE, AZURE_SQL_DATABASE, AZURE_SQL_MANAGED_DATABASE, AZURE_USER_ASSIGNED_MANAGED_Identity, AZURE_ENTRA_ID_ROLE, AZURE_ENTERPRISE_APP, CUSTOM, CUSTOM_CONNECTOR, DATABRICKS_ACCOUNT_SERVICE_PRINCIPAL, GCP_ORGANIZATION, GCP_BUCKET, GCP_COMPUTE_INSTANCE, GCP_FOLDER, GCP_GKE_CLUSTER, GCP_PROJECT, GCP_CLOUD_SQL_POSTGRES_INSTANCE, GCP_CLOUD_SQL_MYSQL_INSTANCE, GCP_BIG_QUERY_DATASET, GCP_BIG_QUERY_TABLE, GCP_SERVICE_ACCOUNT, GCP_BILLING_ACCOUNT, GIT_HUB_REPO, GIT_HUB_ORG_ROLE, GIT_LAB_PROJECT, GOOGLE_WORKSPACE_ROLE, MONGO_INSTANCE, MONGO_ATLAS_INSTANCE, NETSUITE_ROLE, DATADOG_ROLE, OKTA_APP, OKTA_ROLE, OPAL_ROLE, OPAL_SCOPED_ROLE, PAGERDUTY_ROLE, TAILSCALE_SSH, SALESFORCE_PERMISSION_SET, SALESFORCE_PROFILE, SALESFORCE_ROLE, SNOWFLAKE_DATABASE, SNOWFLAKE_SCHEMA, SNOWFLAKE_TABLE, WORKDAY_ROLE, MYSQL_INSTANCE, MARIADB_INSTANCE, POSTGRES_INSTANCE, TELEPORT_ROLE, ILEVEL_ADVANCED_ROLE, DATASTAX_ASTRA_ROLE, COUPA_ROLE, CURSOR_ORGANIZATION, CURSOR_ORIGIN_REPOSITORY, OPENAI_PLATFORM_PROJECT, OPENAI_PLATFORM_SERVICE_ACCOUNT, ANTHROPIC_WORKSPACE, GIT_HUB_ORG, ORACLE_FUSION_ROLE, DEVIN_ORGANIZATION, DEVIN_ROLE, VAULT_SECRET, VAULT_POLICY, VAULT_OIDC_ROLE, GIT_HUB_ENTERPRISE_ROLE, GRAFANA_FOLDER, GRAFANA_DASHBOARD, GRAFANA_BASIC_ROLE, GRAFANA_ROLE, CLICKHOUSE_DATABASE, CLICKHOUSE_TABLE, CLICKHOUSE_CONSOLE_ROLE, TWINGATE_RESOURCE, ZENDESK_ROLE, HUBSPOT_ROLE, ALICLOUD_RAM_ROLE, ALICLOUD_ECS_INSTANCE, DOCUSIGN_PERMISSION_PROFILE, ZOOM_ROLE, ZOOM_LICENSE, LINEAR_ORGANIZATION, LINEAR_PROJECT, RAMP_FUND, RAMP_ROLE, WRIKE_USER_TYPE, DATABRICKS_CATALOG, DATABRICKS_SCHEMA, DATABRICKS_VOLUME, DATABRICKS_FUNCTION, DATABRICKS_MODEL, DATABRICKS_SERVICE, DATABRICKS_MCP_SERVER, VERCEL_ROLE, VERCEL_PROJECT, AXIOM_ROLE, AXIOM_CUSTOM_ROLE, RIPPLING_DEPARTMENT, BOX_ENTERPRISE, BOX_FOLDER, SLACK_WORKSPACE, SLACK_ORGANIZATION, ASANA_WORKSPACE, ASANA_WORKSPACE_GUEST, BITWARDEN_ORGANIZATION, CALENDLY_ROLE, CALENDLY_EVENT_TYPE, ONELOGIN_APP, TRAY_WORKSPACE, TRAY_ORGANIZATION "AWS_IAM_ROLE"
JSON metadata about the remote resource. Only set for items linked to remote systems. See this guide for details.
"{\n \"okta_directory_role\":\n {\n \"role_id\": \"SUPER_ADMIN-b52aa037-4a35-4ac3-9350-f6260fd12345\",\n \"role_type\": \"SUPER_ADMIN\",\n },\n}"
Was this page helpful?